`PUT /api/admin/templates/{key}` — edit a transactional-email template's subject / body, returning the re-rendered preview.
PUT
/api/admin/templates/{key}
const url = 'https://example.com/api/admin/templates/example';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"body":"example","reason":"example","subject":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/admin/templates/example \ --header 'Content-Type: application/json' \ --data '{ "body": "example", "reason": "example", "subject": "example" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”key
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
body
string | null
reason
string | null
subject
string | null
Examplegenerated
{ "body": "example", "reason": "example", "subject": "example"}Responses
Section titled “Responses”Media typeapplication/json
object
body
required
string
key
required
string
sample_context
required
subject
required
string
updated_at
required
string format: date-time
updated_by
string | null format: uuid
Examplegenerated
{ "body": "example", "key": "example", "sample_context": "example", "subject": "example", "updated_at": "2026-04-15T12:00:00Z", "updated_by": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}